MongoCollection::setReadPreference
MongoCollection::toIndexString
MongoCollection
PHP Manual

# MongoCollection::setSlaveOkay

(PECL mongo >=1.1.0)

MongoCollection::setSlaveOkay — Change slaveOkay setting for this collection

### Description

public bool MongoCollection::setSlaveOkay ([ bool `$ok` = true ] )

See the query section of this manual for information on distributing reads to secondaries.

### Parameters

`ok`

  If reads should be sent to secondary members of a replica set for all possible queries using this MongoCollection instance.

### Return Values

Returns the former value of slaveOkay for this instance.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### See Also

- Read Preferences
- MongoCollection::setReadPreference() - Set the read preference for this collection

MongoCollection::setReadPreference
MongoCollection::toIndexString
MongoCollection
PHP Manual